From c055e1ea9ed5266ecc56d3dfe38f2436c4719ac5 Mon Sep 17 00:00:00 2001
From: Your Name <you@example.com>
Date: Fri, 20 Mar 2020 17:24:53 +0100
Subject: [PATCH] changed key for marvin

---
 databus-release.sh | 8 +++++---
 functions.sh       | 2 +-
 2 files changed, 6 insertions(+), 4 deletions(-)

diff --git a/databus-release.sh b/databus-release.sh
index 4f3cc69..c7933e4 100755
--- a/databus-release.sh
+++ b/databus-release.sh
@@ -39,6 +39,7 @@ fi
 # cd $DATABUSDIR
 # git pull
 
+
 # creates links in databus dir
 # iterate all .ttl.bz2 files
 # uncomment for testing
@@ -46,10 +47,11 @@ for path in $(find "$EXTRACTIONBASEDIR" -name "*.ttl.bz2" | sort); do
    mapAndCopy $path
 done
 
-
 # deploy
 cd $DATABUSDIR/dbpedia/$GROUP;
-mvn versions:set -DnewVersion=$(ls * | grep '^[0-9]\{4\}.[0-9]\{2\}.[0-9]\{2\}$' | sort -u  | tail -1);
+VERSION=$(ls * | grep '^[0-9]\{4\}.[0-9]\{2\}.[0-9]\{2\}$' | sort -u  | tail -1)
+echo $VERSION
+mvn versions:set -DnewVersion=$VERSION;
 
 # get git commit link
 GITHUBLINK="$(diefCommitLink)"
@@ -72,7 +74,7 @@ COMMENTPREFIX:$COMMENTPREFIX
 for i in `ls -d */` ; 
 do 
 	cd $i ;
-	mvn clean deploy -Ddatabus.publisher="$PUBLISHER" -Ddatabus.packageDirectory="$PACKAGEDIR" -Ddatabus.downloadUrlPath="$DOWNLOADURL" -Ddatabus.labelPrefix="$LABELPREFIX" -Ddatabus.commentPrefix="$COMMENTPREFIX";
+	mvn clean deploy -Ddatabus.databus.pkcs12serverId="databus.marvin" -Ddatabus.publisher="$PUBLISHER" -Ddatabus.packageDirectory="$PACKAGEDIR" -Ddatabus.downloadUrlPath="$DOWNLOADURL" -Ddatabus.labelPrefix="$LABELPREFIX" -Ddatabus.commentPrefix="$COMMENTPREFIX";
 	cd ..
 done
 
diff --git a/functions.sh b/functions.sh
index 8edcd63..738be80 100755
--- a/functions.sh
+++ b/functions.sh
@@ -196,7 +196,7 @@ mapAndCopy() {
 	# < enwiki/20191001/enwiki-20191001-topical-concepts_redirected.ttl.bz2
 
 	# copy
-	# TODO enable after testing
+	# TODO comment  after testing
 	cp -n "$path" "$targetFolder/$targetFile"
 	# ln -s "$path" "$targetFolder/$targetFile"
 	echo -e "< $path\n> $targetFolder/$targetFile\n----------------------"
-- 
GitLab